It is currently Thu Jul 18, 2019 7:34 am

All times are UTC + 1 hour




Post new topic Reply to topic  [ 11 posts ] 
Author Message
 Post subject: Install PB on Linux...
PostPosted: Fri Aug 10, 2012 5:43 pm 
Offline
Addict
Addict

Joined: Tue May 06, 2003 5:07 pm
Posts: 2422
Location: UK
Well, I see Linux hasn't changed since last time I tried it (in 2000...)
Does anyone have some one click thing to install the required packages to run PB (64bits and 32 bits if possible)?
I've got Ubuntu.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Fri Aug 10, 2012 5:48 pm 
Offline
Always Here
Always Here
User avatar

Joined: Thu Jun 24, 2004 2:44 pm
Posts: 5754
Location: Berlin - Germany
Quote:
sudo apt-get install build-essential libgtk2.0-dev libgnome2-dev libgnomeprintui2.2-dev libxine-dev libsdl1.2-dev libiodbc2-dev libxxf86vm-dev libwebkitgtk-dev


32 and 64 bit (Crosscompiling) is not possible with actuell ubuntu versions.

_________________
PureBasic 5.70 | SpiderBasic 2.21 | Windows 10 Pro (x64) | Linux Mint 19.1 (x64)
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.
Image


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Fri Aug 10, 2012 5:55 pm 
Offline
Addict
Addict

Joined: Tue May 06, 2003 5:07 pm
Posts: 2422
Location: UK
ts-soft wrote:
Quote:
sudo apt-get install build-essential libgtk2.0-dev libgnome2-dev libgnomeprintui2.2-dev libxine-dev libsdl1.2-dev libiodbc2-dev libxxf86vm-dev libwebkitgtk-dev


32 and 64 bit (Crosscompiling) is not possible with actuell ubuntu versions.

Thanks!


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Thu Dec 20, 2018 8:14 am 
Offline
Addict
Addict

Joined: Fri Aug 28, 2015 6:10 pm
Posts: 858
Location: Portugal
Installed PB on linux mint.

Ran the sudo lines above and pb works all the way until compilr time when it fails.

Ran the checkinstall.sh file and it tells me libstdc++ not found

Any Help?

_________________
Any intelligent fool can make things bigger and more complex. It takes a touch of genius — and a lot of courage to move in the opposite direction.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Thu Dec 20, 2018 10:27 am 
Offline
Always Here
Always Here
User avatar

Joined: Thu Jun 24, 2004 2:44 pm
Posts: 5754
Location: Berlin - Germany
Code:
sudo apt-get install libstdc++6


Greetings
Thomas

_________________
PureBasic 5.70 | SpiderBasic 2.21 | Windows 10 Pro (x64) | Linux Mint 19.1 (x64)
Old bugs good, new bugs bad! Updates are evil: might fix old bugs and introduce no new ones.
Image


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Thu Dec 20, 2018 10:55 am 
Offline
Addict
Addict

Joined: Fri Aug 28, 2015 6:10 pm
Posts: 858
Location: Portugal
Thanks

Just done that and checkinstall still says not detected!

???

when compiling

debug "Test"

This appears in a wimdow

/usr/bin/ld: cannot find crt1.o:
No such file or directory
/usr/bin/ld:
cannot find crti.o:
No such file or directory
/usr/bin/ld:
cannot find -lpthread
/usr/bin/ld:
cannot find -lc
/usr/bin/ld:
cannot find -lpthread
/usr/bin/ld:
cannot find -lm
/usr/bin/ld:
cannot find -ldl

_________________
Any intelligent fool can make things bigger and more complex. It takes a touch of genius — and a lot of courage to move in the opposite direction.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Fri Dec 21, 2018 3:38 pm 
Offline
Addict
Addict

Joined: Fri Aug 28, 2015 6:10 pm
Posts: 858
Location: Portugal
Further to the tale.

Moved back to ubuntu 16 and pb6.5

All working hurrah compiles Debug "Test" now.

Ran checkinstall and got this message though

his script try to detect if all developments packages are correctly installed. If you are using a Debian or Ubuntu like distribution, you can use the following line to install all needed packages:

$ sudo apt-get install gcc g++ libc6-dev libsdl1.2-dev libgtk-3-dev unixodbc-dev libgnome2-dev libxine2-dev libwebkitgtk-3.0-dev libxxf86vm-dev libwebkitgtk-dev libwebkitgtk-3.0-dev

Package gtk+-3.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-3.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-3.0' found

Just a little more help please

_________________
Any intelligent fool can make things bigger and more complex. It takes a touch of genius — and a lot of courage to move in the opposite direction.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Fri Dec 21, 2018 5:39 pm 
Offline
Addict
Addict

Joined: Fri Aug 28, 2015 6:10 pm
Posts: 858
Location: Portugal
Ok managed to do some apt get things and PB now compiles with just 1 linker error it is the webkit gtk.

I have downloaded the webkit.tar but now what do i do?

_________________
Any intelligent fool can make things bigger and more complex. It takes a touch of genius — and a lot of courage to move in the opposite direction.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Sun Dec 23, 2018 12:01 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1759
Location: Germany
Her my installation information for PB Development and PB User machines.

My test machine for PB-Application without developer-packets is a Linux Ubuntu 18.10.
Quote:
For MacOS Parallels Tools and Purebasic
---------------------------------------
sudo apt-get install build-essential gcc g++


Purebasic
---------
sudo apt-get install libxxf86vm-dev libxine2-dev unixodbc-dev libsdl1.2-dev libsdl2-dev

sudo apt-get install libgtk2.0-dev libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libwebkit2gtk-4.0-dev


Subsystem qt
------------
sudo apt-get install qtbase5-dev qttools5-dev qtmultimedia5-dev qtdeclarative5-dev libqt5svg5-dev libqt5webkit5-dev libqt5multimedia5-plugins


Ubuntu Gnome 18.04
------------------
sudo apt install libcanberra-gtk-module

Obsoleted
---------
;sudo apt-get install libgnome2-dev
;sudo apt-get install libgnomeprintui2.2-dev libxine-dev


Ubuntu missing default libs (Without developer packets)
-------------------------------------------------------
gtk2
- sudo apt-get install libgtk2.0
gtk3
- sudo apt-get install libwebkitgtk-3.0


_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Sun Dec 23, 2018 4:40 pm 
Offline
Addict
Addict

Joined: Fri Aug 28, 2015 6:10 pm
Posts: 858
Location: Portugal
BRILLIANT

Compiles no bother maybe a little quicker!

The webgadget now displays the purebasic webpage ok but will not display http://worldcollector.eu/ (My webpage). The programme crashes saying ended by external library??

So close I can taste it.

CD

_________________
Any intelligent fool can make things bigger and more complex. It takes a touch of genius — and a lot of courage to move in the opposite direction.


Top
 Profile  
Reply with quote  
 Post subject: Re: Install PB on Linux...
PostPosted: Sun Dec 23, 2018 5:00 pm 
Offline
Addict
Addict
User avatar

Joined: Fri May 12, 2006 6:51 pm
Posts: 1759
Location: Germany
Invalid Link on Linux (Firefox and WebGadget) : http://worldcollector.eu/

Ubuntu 18.10
Quote:
Unable to load page

Problem occurred while loading the URL http://worldcollector.eu/

Fehler beim Auflösen von worldcollector.eu: Temporärer Fehler bei der Namensauflöung



P.S. Now work...
Update from Ubuntu was not ready...

_________________
My Projects ThreadToGUI / OOP-BaseClass / OOP-BaseClassDispatch / Event-Designer
PB v3.30 / v5.70 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 11 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Jump to:  

 


Powered by phpBB © 2008 phpBB Group
subSilver+ theme by Canver Software, sponsor Sanal Modifiye